PHP K�sikirja
Edellinen |  | Seuraava

# classkit_import

(no version information, might be only in CVS)

classkit_import -- Import new class method definitions from a file

## Description

array classkit_import ( string filename )

> Huomaa: This function cannot be used to manipulate the currently running (or chained) method.

Varoitus
Varoitus! T�m� funktio on EKSPERIMENTAALINEN. T�m�n funktion ominaisuudet, k�ytt�ytyminen, parametrit ja nimi voi muuttua varoituksetta seuraavissa PHP:n versioissa.

## Parameters

filename

  The filename of the class method definitions to import

## Return values

Associative array of imported methods

## Examples

Esimerkki 1. classkit_import() example

`<?php // file: newclass.php class Example { function foo() { return "bar!\n"; } } ?>`

`<?php // requires newclass.php (see above) class Example { function foo() { return "foo!\n"; } } $e = new Example(); // output original echo $e->foo(); // import replacement method classkit_import('newclass.php'); // output imported echo $e->foo(); ?>`

The above example will output:

    foo!
    bar!

## See Also

classkit_method_add()
classkit_method_copy()

Edellinen | Alkuun | Seuraava
Classkit Functions | Ylös | classkit_method_add